@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap');

body{
    margin: 0;
    padding: 0;
    font-family: "Montserrat", sans-serif;
    background-color: #dedef4;
    display: flex;
    flex-direction: column;
    height: 100vh;
}

header{
    background: #335a82;
    color: #fff;
    padding: 0 4rem;
    font-size: .8rem;
    text-align: center;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.nav{
    font-size: 1rem;
    display: flex;
    gap: 2rem;
}

.nav-links{
    text-decoration: none;
    color: #fff;
}

main{

    flex-grow: 1;
    display: flex;
    padding: 1rem;
    justify-content: space-between;
    gap: 1rem;
}

article{
    background: #fff;
    box-shadow: 0 2px 8px #b6b5b5;
    flex: 3;
    border-radius: 14px;
    padding: 1rem 3rem;

}

aside{
    background: #fff;
    border-radius: 14px;
    padding: 1rem;
    flex: 1;
    box-shadow: 0 2px 8px #b6b5b5;
    max-height: 100vh;
}

footer{
    padding: 1rem;
    color: #4b4a4ad5;
    text-align: center;
}

.video-wrapper {
    background: #000;
    border-radius: 12px;
    overflow: hidden;
    margin: 30px 0;
    box-shadow: 0 20px 25px -5px rgba(0,0,0,0.1);
}

video {
    width: 100%;
    display: block;
    aspect-ratio: 16/9;
}

.posts-list{
margin-top: 1rem;
}

.post{
    display: flex;
    border-bottom: 1px solid #222;
    gap: 1rem;
    padding: .5rem 1rem;
    align-items: center;

}
.post img{
    width: 9rem;
    height: 6rem;
    border-radius: 14px;
}

.info span{
    font-weight: 600;
}

.info p{
    font-size: 0.8rem;
}